from parallels.core.utils.entity import Entity


class Client(Entity):
    def __init__(self, client_id, login, owner_id):
        self._client_id = client_id
        self._login = login
        self._owner_id = owner_id

    @property
    def client_id(self):
        """
        :rtype: str | unicode
        """
        return self._client_id

    @property
    def login(self):
        """
        :rtype: str | unicode
        """
        return self._login

    @property
    def owner_id(self):
        """
        :rtype: str | unicode
        """
        return self._owner_id
